{
  "name": "crm-server",
  "version": "1.0.0",
  "description": "basic express api backend",
  "main": "src/index.js",
  "scripts": {
    "dev": "nodemon src/index.js",
    "start": "node src/index.js",
    "test": "node --experimental-vm-modules node_modules/.bin/jest",
    "db:generate": "drizzle-kit generate",
    "db:migrate": "node src/db/migrate.js",
    "db:push": "drizzle-kit push",
    "db:studio": "drizzle-kit studio",
    "db:seed": "node src/db/seeds/admin.seed.js",
    "db:seed:testuser": "node src/db/seeds/testuser.seed.js"
  },
  "keywords": [],
  "author": "Richard Tekula",
  "license": "MIT",
  "dependencies": {
    "axios": "^1.13.2",
    "bcryptjs": "^3.0.3",
    "better-auth": "^1.3.34",
    "cookie-parser": "^1.4.7",
    "cors": "^2.8.5",
    "dotenv": "^16.4.5",
    "drizzle-orm": "^0.44.7",
    "exceljs": "^4.4.0",
    "express": "^4.21.1",
    "express-rate-limit": "^8.2.1",
    "helmet": "^8.0.0",
    "jsonwebtoken": "^9.0.2",
    "morgan": "^1.10.0",
    "multer": "^2.0.2",
    "pg": "^8.16.3",
    "uuid": "^13.0.0",
    "xss-clean": "^0.1.4",
    "zod": "^4.1.12"
  },
  "devDependencies": {
    "@types/bcryptjs": "^2.4.6",
    "@types/jsonwebtoken": "^9.0.10",
    "@types/pg": "^8.15.6",
    "drizzle-kit": "^0.31.7",
    "eslint": "latest",
    "jest": "^29.7.0",
    "nodemon": "^3.1.7",
    "supertest": "^6.3.4"
  },
  "type": "module",
  "jest": {
    "testEnvironment": "node",
    "transform": {}
  }
}
